import { MonoTypeOperatorFunction } from 'rxjs';
export declare enum LogLevel {
    DEBUG = 0,
    INFO = 1,
    WARNING = 2,
    ERROR = 3
}
export declare class LoggerConfig {
    showTime?: boolean;
    logLevel?: LogLevel;
    showEmoji?: boolean;
    showLabel?: boolean;
    disableLogs?: boolean;
    levelColor?: {
        [logLevel: number]: string;
    };
    levelEmoji?: {
        [logLevel: number]: string;
    };
}
export interface HeaderConfig {
    fontSize?: number;
    color?: string;
}
export declare class SampleLibService {
    config: LoggerConfig;
    levelPrefix: {};
    constructor(config: LoggerConfig);
    private setPrefix;
    private getStyles;
    private log;
    info(...args: any[]): void;
    debug(...args: any[]): void;
    warn(...args: any[]): void;
    error(...args: any[]): void;
    header(title: string, config?: HeaderConfig): void;
    debugOperator: <T>(message?: string, logLevel?: LogLevel) => MonoTypeOperatorFunction<T>;
}
